//+------------------------------------------------------------------+
//|                                                     aS7N_TIC.mq5 |
//|                                             Copyright SHOOTER777 |
//|                                                                  |
//+------------------------------------------------------------------+
//---
#include <Trade\Trade.mqh>
#include <Trade\SymbolInfo.mqh>
datetime dTTm;
int PerI=7,ProI=25;

int iCusHandlI_H4,iMaHandl_H4;
double dBufAup_H4[];
double dBufAdn_H4[];
double dBufIup_H4[];
double dBufIdn_H4[];
double dBufTrnd_H4[];

uchar uTM5,uTM15,uTH1,uTH4,uTD1;
//---
double dXupI_H4,dXdnI_H4;
double dXupO_H4,dXdnO_H4;
double dRupI_H4,dRdnI_H4;
double dRupA_H4,dRdnA_H4;
double dRTrnd_H4;
   MqlDateTime strDT;
int OnInit()
  {
  Print("!!!    !!!");
//---
  iCusHandlI_H4 = iCustom("EURUSD",PERIOD_H4,"iS7N\iS7N_Sacul_v3",PerI,ProI);
  //iCusHandlI_H4 = iCustom("EURUSD",PERIOD_H4,"iS7N\iS7N_Sacul_v2",PerO,ProO);
  Print("iCusHandlI_H4 =",iCusHandlI_H4);
//---
   //ArraySetAsSeries(dBufIup_H4,true);
   return(0);
  }
//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {
  }
//+------------------------------------------------------------------+
//| Expert new tick handling function                                |
//+------------------------------------------------------------------+
void OnTick()
  {
   datetime Times [1];
   

   TimeToStruct(TimeCurrent(),strDT);
   int iCopyTime=CopyTime(Symbol(),PERIOD_M1,0,1,Times);
   uchar utM5,utM15,utH1,utH4,utD1;
   //--- 
   datetime dtTm = Times[0];
   if(dTTm == dtTm) 
   return;
   //---
   utH1=(uchar)strDT.hour;

   
               if(utH1 == uTH1) return;
               uTH1 = utH1;
              // Print(utH1,uTH1);
                 //-----  /*// =====  4  //*/
                  utH4  = (uchar) MathFloor( utH1/4) ;
                 // Print(TimeCurrent(),utH4,uTH4);
                  if(uTH4 == utH4) return;
                  
                  uTH4  =utH4 ;
   //---
   int resAup = CopyBuffer(iCusHandlI_H4,0,0,1,dBufAup_H4);
   int resAdn = CopyBuffer(iCusHandlI_H4,1,0,1,dBufAdn_H4);
   int resIup = CopyBuffer(iCusHandlI_H4,2,0,1,dBufIup_H4);
   int resIdn = CopyBuffer(iCusHandlI_H4,3,0,1,dBufIdn_H4);
   int resTrnd = CopyBuffer(iCusHandlI_H4,4,0,1,dBufTrnd_H4);
   
   dRupA_H4 = NormalizeDouble(dBufAup_H4[0],4);
   dRdnA_H4 = NormalizeDouble(dBufAdn_H4[0],4);
   
   dRupI_H4 = NormalizeDouble(dBufIup_H4[0],4);
   dRdnI_H4 = NormalizeDouble(dBufIdn_H4[0],4);
   
   dRTrnd_H4 = NormalizeDouble(dBufTrnd_H4[0],4);
   
   Print(TimeCurrent()-14400," ",dRupI_H4,"  ",dRdnI_H4,"  ",dRupA_H4,"  ",dRdnA_H4,"  ",dRTrnd_H4);
   //---
  }
//+------------------------------------------------------------------+
//
//
